<?php
session_start();
require_once 'includes/config.php';

if (!isset($_SESSION['user_logged_in']) && $_SESSION['user_logged_in'] != TRUE) {
    header('Location:login.php');
}

$customers=mysqli_query($con,'SELECT * FROM notify_to_user WHERE status=1  ORDER BY id DESC');

if(isset($_GET['del_id']) && $_GET['del_id']!=''){
	$deleteEmployee=mysqli_query($con,"DELETE FROM notify_to_user WHERE id=".$_GET['del_id']);
	if($deleteEmployee){
		$del_stat=1;
		$message='Banner deleted successfully.';
	}
}
require_once 'includes/header.php';
?>
<div class="content">
        <div class="container-fluid">
          <div class="row">
            <div class="col-md-12">
			<a href="add_ibox.php" class="btn btn-primary btn-round">Add Inbox to user<div class="ripple-container"></div></a>
              <div class="card">
                <div class="card-header card-header-primary">
                  <h4 class="card-title "> All Inboxes</h4>
                  <p class="card-category"> </p>
                </div>
                <div class="card-body">
                  <div class="table-responsive">
                    <table class="table">
                      <thead class=" text-primary">
                        <th>No</th>  
                        <th>User</th>  
                        <th>title</th>  
		  <th>Image </th> 
		  <th>Attachment </th> 
		  <th>Description </th> 
		 <th>Date </th>
		  
		  <th>Action </th>
                      </thead>
                      <tbody>
                        <?php
		if(mysqli_num_rows($customers)>0){	
		$i=1;
		while($customer=mysqli_fetch_array($customers)){?>
		<tr>
		<td><?php echo $i;?></td>
		<td><?php $user=mysqli_fetch_array(mysqli_query($con,"SELECT * FROM users WHERE id=".$customer['user_id'])); echo $user['first_name'].' '.$user['last_name'];?></td>
		<td><?php echo $customer['title'];?></td>
		<td><img src="<?php echo $customer['image'];?>" width="100" height="100"></td>
		<td><?php if($customer['url']!=''){ ?><a href="<?php echo $customer['url'];?>" target="_blank">Attachments</a> <?php } else{ echo 'No Attachment' ;} ?></td>
		<td><?php echo strip_tags($customer['description']);?></td>
		<td><?php echo date('d/m/Y',strtotime($customer['created_at']));?></td>
		<td>
		<a href="edit_ibox.php?id=<?php echo $customer['id'];?>" title="Edit Ibox" class="btn btn-success"><i class="fa fa-edit"></i></a>
		<a href="ibox.php?del_id=<?php echo $customer['id'];?>" class="btn btn-danger delete_btn" title="Delete ibox"><i class="fa fa-trash"></i></a>
		</td>
		</tr>	
		<?php $i++;}
		}
		?>   
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>
            </div>
            
          </div>
        </div>
      </div>

<?php include_once 'includes/footer.php'; ?>

<script type="text/javascript">
    $(document).ready(function () {
        $('.delete_btn').click(function () {
            var r = confirm("Are you sure?")
            if (r == true) {
                return true;
            } else {
                return false;
            }
        });
    });
</script> 